Debian Bug report logs - #538558
freebsd-sendpr: FTBFS with new source format 3.0 (quilt): tarballs inside orig.tar.gz

version graph

Package: freebsd-sendpr; Maintainer for freebsd-sendpr is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-sendpr is src:freebsd-sendpr.

Reported by: hertzog@debian.org

Date: Sat, 25 Jul 2009 21:57:04 UTC

Severity: wishlist

Found in version freebsd-sendpr/3.113+5.3-10

Fixed in version freebsd-sendpr/3.113+8.0-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#538558; Package freebsd-sendpr. (Sat, 25 Jul 2009 21:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to hertzog@debian.org:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 25 Jul 2009 21:57:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: hertzog@debian.org
To: maintonly@bugs.debian.org
Subject: freebsd-sendpr: FTBFS with new source format 3.0 (quilt): tarballs inside orig.tar.gz
Date: Sat, 25 Jul 2009 23:54:40 +0200
Package: freebsd-sendpr
Version: 3.113+5.3-10
Severity: wishlist
Usertags: 3.0-quilt-by-default

To prepare a possible switch to the new source package format "3.0
(quilt)" [1], I converted all source packages and rebuilt the packages
afterwards to see what breaks, and freebsd-sendpr does break. To reproduce the
problem you can do this:
$ apt-get source freebsd-sendpr
$ mkdir -p freebsd-sendpr-3.113+5.3/debian/source
$ echo "3.0 (quilt)" >freebsd-sendpr-3.113+5.3/debian/source/format
$ dpkg-source -b freebsd-sendpr-3.113+5.3
$ dpkg-source -x freebsd-sendpr_3.113+5.3-10.dsc
$ cd freebsd-sendpr-3.113+5.3 && debuild -us -uc

In this process, if the .diff.gz contains changes to upstream files,
dpkg-source will have created a corresponding patch in
debian/patches/debian-changes-3.113+5.3-10 and will have registered that
patch in a quilt series (debian/patches/series, it is created if needed).
All the patches listed in the "series" file are applied directly during
the extraction (dpkg-source -x). quilt itself is used if available (and
will thus lead to the creation of the .pc directory), otherwise
dpkg-source applies the patches by itself. For more information about the
new source package format see the manual page dpkg-source(1).

In the case of freebsd-sendpr, patches can't be applied at extraction time
since real sources to be patched are inside another tarball that is not
unpacked. Please consider switching away from such a setup to a more
traditional approach where the real uptream sources are shipped as
.orig.tar.gz.

Cheers,

[1] http://wiki.debian.org/Projects/DebSrc3.0





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#538558; Package freebsd-sendpr. (Wed, 04 Nov 2009 18:47:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 04 Nov 2009 18:47:25 GMT) Full text and rfc822 format available.

Message #10 received at 538558@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Subject: Source format "3.0 (quilt)" allowed in testing/unstable
Date: Wed, 4 Nov 2009 19:36:15 +0100
[ Same message sent in bcc to all remaining "FTBFS with new source format" ]

Hello,

the new source format "3.0 (quilt)" is now allowed in testing/unstable and
having all packages buildable with the new format is a release goal
(http://wiki.debian.org/ReleaseGoals/NewDebFormats).

Thus it would be nice to see this bug fixed. If you want, you can directly
fix the bug by switching the package to use the new format. In order to
help you in this process, I have put some advice on the project page and
will continue to complete it with answers to your questions:
http://wiki.debian.org/Projects/DebSrc3.0#FAQ

If you need help, please tag the bug help and someone might provide you a
patch. Ask explicitely if you want a patch to convert the package to the
new source format.

The few packages that contain multiple tarballs in the .orig tarball
should (ideally) be converted to the new format by using the multiple
upstream tarball feature that it offers.

I also recommend switching to quilt if you use another patch system
since it's now the patch system that is endorsed by the dpkg maintainers.

If you have questions, please ask.

Cheers,
-- 
Raphaël Hertzog




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 14 Nov 2009 04:06:03 GMT) Full text and rfc822 format available.

Notification sent to hertzog@debian.org:
Bug acknowledged by developer. (Sat, 14 Nov 2009 04:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 538558-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 538558-close@bugs.debian.org
Subject: Bug#538558: fixed in freebsd-sendpr 3.113+8.0-1
Date: Sat, 14 Nov 2009 04:02:19 +0000
Source: freebsd-sendpr
Source-Version: 3.113+8.0-1

We believe that the bug you reported is fixed in the latest version of
freebsd-sendpr, which is due to be installed in the Debian FTP archive:

freebsd-sendpr_3.113+8.0-1.debian.tar.gz
  to main/f/freebsd-sendpr/freebsd-sendpr_3.113+8.0-1.debian.tar.gz
freebsd-sendpr_3.113+8.0-1.dsc
  to main/f/freebsd-sendpr/freebsd-sendpr_3.113+8.0-1.dsc
freebsd-sendpr_3.113+8.0-1_all.deb
  to main/f/freebsd-sendpr/freebsd-sendpr_3.113+8.0-1_all.deb
freebsd-sendpr_3.113+8.0.orig.tar.gz
  to main/f/freebsd-sendpr/freebsd-sendpr_3.113+8.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538558@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-sendpr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Nov 2009 04:49:21 +0100
Source: freebsd-sendpr
Binary: freebsd-sendpr
Architecture: source all
Version: 3.113+8.0-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-sendpr - FreeBSD fork of send-pr (from GNU GNATS)
Closes: 538558
Changes: 
 freebsd-sendpr (3.113+8.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Stop using tar-in-tar. (Closes: #538558)
   * Switch to debhelper compatibility level 7.
   * Use dh_prep instead of “dh_clean -k”.
   * Switch to source format “3.0 (quilt)”:
     - Remove quilt from Build-Depends.
     - Remove quilt.make include from debian/rules.
     - Remove patch and unpatch targets from debian/rules.
     - Remove now unneeded debian/README.source.
   * Add ${misc:Depends} to Depends field.
   * Now using Standards-Version 3.8.3 (no changes needed).
Checksums-Sha1: 
 9d9909988c6a53455e57e41b6aae5d6e5685cf3e 1336 freebsd-sendpr_3.113+8.0-1.dsc
 cc067e9f9bcf4832f6b956eda3e089681b50080d 43258 freebsd-sendpr_3.113+8.0.orig.tar.gz
 8d6fde7f96958238502ebe583776d34a92f8c3ec 5234 freebsd-sendpr_3.113+8.0-1.debian.tar.gz
 12611130c8e0067dc75a67f931c72749a218bd33 33090 freebsd-sendpr_3.113+8.0-1_all.deb
Checksums-Sha256: 
 fcbcde3d7210730c22ace2767d3c892f2f11835ba337066ff86743934cabc863 1336 freebsd-sendpr_3.113+8.0-1.dsc
 2978eee6a0f330f10f885930ec50a8f8cc73d970021e629be6fa1350023b7657 43258 freebsd-sendpr_3.113+8.0.orig.tar.gz
 955dcac9073ef2c272013da0342303d9b7868f1ca4a456824da0145764fe8b9c 5234 freebsd-sendpr_3.113+8.0-1.debian.tar.gz
 2979a36ef66c3df18c26d283b48d84dbea8c0398e539c3c240c87b1fcd49000f 33090 freebsd-sendpr_3.113+8.0-1_all.deb
Files: 
 43ec412780136bd90f6ffa898ee46348 1336 utils extra freebsd-sendpr_3.113+8.0-1.dsc
 e024005aaa8deeb1bdc53bc8d2e2dd00 43258 utils extra freebsd-sendpr_3.113+8.0.orig.tar.gz
 50b013fb0703727074a6315395b85e97 5234 utils extra freebsd-sendpr_3.113+8.0-1.debian.tar.gz
 01b7a93f51d8670923c4a906837fa1b7 33090 utils extra freebsd-sendpr_3.113+8.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr+Kc4ACgkQuW9ciZ2SjJsjgwCg+T9HVjywu3H3Dzb7z2EEgzkQ
itAAn2a+xPdJifU4o2o86GfCVIXcvBkx
=U8Tc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Dec 2009 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:50:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.